Commit 822c2f3e authored by Peter V. Saveliev's avatar Peter V. Saveliev

netns: remove the upper constraint for the pipe leak workaround

Extend the pipe leak workaround for Python >= 3.6+

Bug-Url: http://bugs.python.org/issue27151
Bug-Url: https://github.com/svinota/pyroute2/issues/400
parent c88e975d
......@@ -211,7 +211,7 @@ class NetNS(IPRouteMixin, RemoteSocket):
# join the server
self.server.join()
# Workaround for http://bugs.python.org/issue27151
if sys.version_info > (3, 2) and sys.version_info < (3, 6):
if sys.version_info > (3, 2):
try:
fcntl.fcntl(self.server.sentinel, fcntl.F_GETFD)
except:
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment